<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TemplateGenerator (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TemplateGenerator (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TemplateGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/util/acktemplate/TemplateGenerator.html" target="_top">Frames</a></li>
<li><a href="TemplateGenerator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.util.acktemplate</div>
<h2 title="Class TemplateGenerator" class="title">Class TemplateGenerator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">io.mosip.registration.service.BaseService</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.util.acktemplate.TemplateGenerator</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Controller
public class <span class="typeNameLabel">TemplateGenerator</span>
extends <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></pre>
<div class="block">Generates Velocity Template for the creation of acknowledgement</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Himaja Dhanyamraju</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../io/mosip/registration/service/BaseService.html#serviceDelegateUtil">serviceDelegateUtil</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html#TemplateGenerator--">TemplateGenerator</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html#generateNotificationTemplate-java.lang.String-io.mosip.registration.dto.RegistrationDTO-io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder-">generateNotificationTemplate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateText,
                            <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registration,
                            io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder&nbsp;templateManagerBuilder)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html#generateTemplate-java.lang.String-io.mosip.registration.dto.RegistrationDTO-io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder-java.lang.String-">generateTemplate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateText,
                <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registration,
                io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder&nbsp;templateManagerBuilder,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateType)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../io/mosip/registration/service/BaseService.html#getCenterId--">getCenterId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getCenterId-java.lang.String-">getCenterId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getGlobalConfigValueOf-java.lang.String-">getGlobalConfigValueOf</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getMacAddress--">getMacAddress</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getStationId-java.lang.String-">getStationId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getUserIdFromSession--">getUserIdFromSession</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isEmpty-java.util.List-">isEmpty</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isNull-java.util.List-">isNull</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TemplateGenerator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TemplateGenerator</h4>
<pre>public&nbsp;TemplateGenerator()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generateTemplate-java.lang.String-io.mosip.registration.dto.RegistrationDTO-io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateTemplate</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;generateTemplate(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateText,
                                    <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registration,
                                    io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder&nbsp;templateManagerBuilder,
                                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateType)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>templateText</code> - - string which contains the data of template that is used to
            generate acknowledgement</dd>
<dd><code>registration</code> - - RegistrationDTO to display required fields on the template</dd>
<dd><code>templateManagerBuilder</code> - - The Builder which generates template by mapping values to
            respective place-holders in template</dd>
<dd><code>templateType</code> - - The type of template that is required (like
            email/sms/acknowledgement)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>writer - After mapping all the fields into the template, it is
         written into a StringWriter and returned</dd>
</dl>
</li>
</ul>
<a name="generateNotificationTemplate-java.lang.String-io.mosip.registration.dto.RegistrationDTO-io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateNotificationTemplate</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;generateNotificationTemplate(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;templateText,
                                           <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registration,
                                           io.mosip.kernel.core.templatemanager.spi.TemplateManagerBuilder&nbsp;templateManagerBuilder)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>templateText</code> - - string which contains the data of template that is used to
            generate notification</dd>
<dd><code>registration</code> - - RegistrationDTO to display required fields on the template</dd>
<dd><code>templateManagerBuilder</code> - - The Builder which generates template by mapping values to
            respective place-holders in template</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>writer - After mapping all the fields into the template, it is
         written into a StringWriter and returned</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TemplateGenerator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/util/acktemplate/TemplateGenerator.html" target="_top">Frames</a></li>
<li><a href="TemplateGenerator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
